Bullet Collision Detection & Physics Library: btCompoundLeafCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btCompoundLeafCallback Struct Reference
Inheritance diagram for btCompoundLeafCallback:
[legend]
Collaboration diagram for btCompoundLeafCallback:
[legend]

## Public Member Functions
| btCompoundLeafCallback (const btCollisionObjectWrapper *compoundObjWrap, const btCollisionObjectWrapper *otherObjWrap, btDispatcher *dispatcher, const btDispatcherInfo &dispatchInfo, btManifoldResult *resultOut, btCollisionAlgorithm **childCollisionAlgorithms, btPersistentManifold *sharedManifold)
void | ProcessChildShape (const btCollisionShape *childShape, int index)
void | Process (const btDbvtNode *leaf)
Public Member Functions inherited from btDbvt::ICollide
DBVT_VIRTUAL void | Process (const btDbvtNode *, const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *)
DBVT_VIRTUAL void | Process (const btDbvtNode *n, btScalar)
DBVT_VIRTUAL void | Process (const btDbvntNode *, const btDbvntNode *)
DBVT_VIRTUAL bool | Descent (const btDbvtNode *)
DBVT_VIRTUAL bool | AllLeaves (const btDbvtNode *)

## Public Attributes
const btCollisionObjectWrapper * | m_compoundColObjWrap
const btCollisionObjectWrapper * | m_otherObjWrap
btDispatcher * | m_dispatcher
const btDispatcherInfo & | m_dispatchInfo
btManifoldResult * | m_resultOut
btCollisionAlgorithm ** | m_childCollisionAlgorithms
btPersistentManifold * | m_sharedManifold

## Detailed Description

Definition at line 94 of file btCompoundCollisionAlgorithm.cpp.

## Constructor & Destructor Documentation

## ◆ btCompoundLeafCallback()

btCompoundLeafCallback::btCompoundLeafCallback | ( | const btCollisionObjectWrapper * | compoundObjWrap,
|  | const btCollisionObjectWrapper * | otherObjWrap,
|  | btDispatcher * | dispatcher,
|  | const btDispatcherInfo & | dispatchInfo,
|  | btManifoldResult * | resultOut,
|  | btCollisionAlgorithm ** | childCollisionAlgorithms,
|  | btPersistentManifold * | sharedManifold
| ) |  |
| inline

Definition at line 105 of file btCompoundCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ Process()

void btCompoundLeafCallback::Process | ( | const btDbvtNode * | leaf | ) |
| inline

Definition at line 209 of file btCompoundCollisionAlgorithm.cpp.

## ◆ ProcessChildShape()

void btCompoundLeafCallback::ProcessChildShape | ( | const btCollisionShape * | childShape,
|  | int | index
| ) |  |
| inline

detect swapping case

Definition at line 110 of file btCompoundCollisionAlgorithm.cpp.

## Member Data Documentation

## ◆ m_childCollisionAlgorithms

btCollisionAlgorithm** btCompoundLeafCallback::m_childCollisionAlgorithms

Definition at line 102 of file btCompoundCollisionAlgorithm.cpp.

## ◆ m_compoundColObjWrap

const btCollisionObjectWrapper* btCompoundLeafCallback::m_compoundColObjWrap

Definition at line 97 of file btCompoundCollisionAlgorithm.cpp.

## ◆ m_dispatcher

btDispatcher* btCompoundLeafCallback::m_dispatcher

Definition at line 99 of file btCompoundCollisionAlgorithm.cpp.

## ◆ m_dispatchInfo

const btDispatcherInfo& btCompoundLeafCallback::m_dispatchInfo

Definition at line 100 of file btCompoundCollisionAlgorithm.cpp.

## ◆ m_otherObjWrap

const btCollisionObjectWrapper* btCompoundLeafCallback::m_otherObjWrap

Definition at line 98 of file btCompoundCollisionAlgorithm.cpp.

## ◆ m_resultOut

btManifoldResult* btCompoundLeafCallback::m_resultOut

Definition at line 101 of file btCompoundCollisionAlgorithm.cpp.

## ◆ m_sharedManifold

btPersistentManifold* btCompoundLeafCallback::m_sharedManifold

Definition at line 103 of file btCompoundCollisionAlgorithm.cpp.

The documentation for this struct was generated from the following file:

- btCompoundCollisionAlgorithm.cpp